Etoiles inactivesEtoiles inactivesEtoiles inactivesEtoiles inactivesEtoiles inactives
 

Description d'une migration de PS 1.6.1.24

En mars 2021, contrairement à ce que l'on pourrait trouver sur le web,  le 1click upgrade fonctionne pour cette mise à jour majeure.

Si vous êtes dans une version inférieur à la 1.6.1.24 je vous conseille d'abord de faire la MAJ sur le canal "version mineures", avant de passer sur la canal "version majeures".

De plus pour pouvoir continuer, il faut passer au moins en PHP7.2.

Pour la migration je conseille de prendre les options suivantes:

Une fois la migration faite, vider le cache (avenced parameters > performance > vider le cache

Essaye de naviguer.

Si vous avez des erreurs du type "Attempted to load class xyy from the global namespace" demandez d'aciver le mode debug.

Vous aurez alors l'emplacement où l'erreur se produit.

Par exemple ...in modules/xyz/xyp.php : ceci signifie que votre module xyz n'est pas compatible avec la version de prestashop.

Il faut alors le supprimer via FTP.

Après passage en 1.7.7.2, le menu n'est pas forcement en Francais.
Pour rectifier aller dans Improve > International > Translation
puis cliquez sur Ajouter ou mettre à jour la langue.

Ensuite allez dans Modules > Gestionnaires de modules, onglet Mise à jour afin de mettre à jour l'ensemble des modules devant l'être.

Si vous avez des erreur de type warning, désactivez le mode debug,.

 

ordi-genie F-68800 THANN